gdata.finance.data | index /usr/local/google/home/afshar/src/external-gdata-release/google3/src/gdata/finance/data.py

`Contains the data classes of the Google Finance Portfolio Data API`

Modules

``

atom | gdata |  |

Classes

``

atom.core.XmlElement(__builtin__.object)
  Commission
  CostBasis
  DaysGain
  Gain
  MarketValue
  PortfolioData
  PositionData
  Price
  Symbol
  TransactionData
gdata.data.GDEntry(atom.data.Entry, gdata.data.LinkFinder)
  PortfolioEntry
  PositionEntry
  TransactionEntry
gdata.data.GDFeed(atom.data.Feed, gdata.data.LinkFinder)
  PortfolioFeed
  PositionFeed
  TransactionFeed

class Commission(atom.core.XmlElement)
`` | `Commission for the transaction`

Method resolution order:
  Commission
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

money = [<class 'gdata.data.Money'>]

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class CostBasis(atom.core.XmlElement)
`` | `Cost basis for the portfolio or position`

Method resolution order:
  CostBasis
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

money = [<class 'gdata.data.Money'>]

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class DaysGain(atom.core.XmlElement)
`` | `Today's gain for the portfolio or position`

Method resolution order:
  DaysGain
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

money = [<class 'gdata.data.Money'>]

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Gain(atom.core.XmlElement)
`` | `Total gain for the portfolio or position`

Method resolution order:
  Gain
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

money = [<class 'gdata.data.Money'>]

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class MarketValue(atom.core.XmlElement)
`` | `Market value for the portfolio or position`

Method resolution order:
  MarketValue
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

money = [<class 'gdata.data.Money'>]

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class PortfolioData(atom.core.XmlElement)
`` | `Data for the portfolio`

Method resolution order:
  PortfolioData
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

cost_basis = <class 'gdata.finance.data.CostBasis'>
  `Cost basis for the portfolio or position`

currency_code = 'currencyCode'

days_gain = <class 'gdata.finance.data.DaysGain'>
  `Today's gain for the portfolio or position`

gain = <class 'gdata.finance.data.Gain'>
  `Total gain for the portfolio or position`

gain_percentage = 'gainPercentage'

market_value = <class 'gdata.finance.data.MarketValue'>
  `Market value for the portfolio or position`

return1w = 'return1w'

return1y = 'return1y'

return3m = 'return3m'

return3y = 'return3y'

return4w = 'return4w'

return5y = 'return5y'

return_overall = 'returnOverall'

return_y_t_d = 'returnYTD'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class PortfolioEntry(gdata.data.GDEntry)
`` | `Describes an entry in a feed of Finance portfolios`

Method resolution order:
  PortfolioEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

portfolio_data = <class 'gdata.finance.data.PortfolioData'>
  `Data for the portfolio`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class PortfolioFeed(gdata.data.GDFeed)
`` | `Describes a Finance portfolio feed`

Method resolution order:
  PortfolioFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.finance.data.PortfolioEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class PositionData(atom.core.XmlElement)
`` | `Data for the position`

Method resolution order:
  PositionData
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

cost_basis = <class 'gdata.finance.data.CostBasis'>
  `Cost basis for the portfolio or position`

days_gain = <class 'gdata.finance.data.DaysGain'>
  `Today's gain for the portfolio or position`

gain = <class 'gdata.finance.data.Gain'>
  `Total gain for the portfolio or position`

gain_percentage = 'gainPercentage'

market_value = <class 'gdata.finance.data.MarketValue'>
  `Market value for the portfolio or position`

return1w = 'return1w'

return1y = 'return1y'

return3m = 'return3m'

return3y = 'return3y'

return4w = 'return4w'

return5y = 'return5y'

return_overall = 'returnOverall'

return_y_t_d = 'returnYTD'

shares = 'shares'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class PositionEntry(gdata.data.GDEntry)
`` | `Describes an entry in a feed of Finance positions`

Method resolution order:
  PositionEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

position_data = <class 'gdata.finance.data.PositionData'>
  `Data for the position`

symbol = <class 'gdata.finance.data.Symbol'>
  `Stock symbol for the company`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class PositionFeed(gdata.data.GDFeed)
`` | `Describes a Finance position feed`

Method resolution order:
  PositionFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.finance.data.PositionEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class Price(atom.core.XmlElement)
`` | `Price of the transaction`

Method resolution order:
  Price
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

money = [<class 'gdata.data.Money'>]

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class Symbol(atom.core.XmlElement)
`` | `Stock symbol for the company`

Method resolution order:
  Symbol
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

exchange = 'exchange'

full_name = 'fullName'

symbol = 'symbol'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class TransactionData(atom.core.XmlElement)
`` | `Data for the transction`

Method resolution order:
  TransactionData
  atom.core.XmlElement
  __builtin__.object

Data and other attributes defined here:

commission = <class 'gdata.finance.data.Commission'>
  `Commission for the transaction`

date = 'date'

notes = 'notes'

price = <class 'gdata.finance.data.Price'>
  `Price of the transaction`

shares = 'shares'

type = 'type'

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__init__(self, text=None, *args, **kwargs)

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

class TransactionEntry(gdata.data.GDEntry)
`` | `Describes an entry in a feed of Finance transactions`

Method resolution order:
  TransactionEntry
  gdata.data.GDEntry
  atom.data.Entry
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

transaction_data = <class 'gdata.finance.data.TransactionData'>
  `Data for the transction`

Methods inherited from gdata.data.GDEntry:

FindMediaLink = find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

GetId = get_id(self)

IsMedia = is_media(self)

find_media_link(self)
  `Returns the URL to the media content, if the entry is a media entry.
  Otherwise returns None.`

get_id(self)

is_media(self)

Data and other attributes inherited from gdata.data.GDEntry:

etag = '{http://schemas.google.com/g/2005}etag'

Data and other attributes inherited from atom.data.Entry:

content = <class 'atom.data.Content'>
  `The atom:content element.`

control = <class 'atom.data.Control'>
  `The app:control element indicating restrictions on publication.
  The APP control element may contain a draft element indicating whether or
  not this entry should be publicly available.`

published = <class 'atom.data.Published'>
  `The atom:published element.`

source = <class 'atom.data.Source'>
  `The atom:source element.`

summary = <class 'atom.data.Summary'>
  `The atom:summary element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

class TransactionFeed(gdata.data.GDFeed)
`` | `Describes a Finance transaction feed`

Method resolution order:
  TransactionFeed
  gdata.data.GDFeed
  atom.data.Feed
  atom.data.Source
  atom.data.FeedEntryParent
  atom.core.XmlElement
  gdata.data.LinkFinder
  atom.data.LinkFinder
  __builtin__.object

Data and other attributes defined here:

entry = [<class 'gdata.finance.data.TransactionEntry'>]

Methods inherited from gdata.data.GDFeed:

GetId = get_id(self)

get_generator(self)

get_id(self)

Data and other attributes inherited from gdata.data.GDFeed:

etag = '{http://schemas.google.com/g/2005}etag'

items_per_page = <class 'gdata.data.ItemsPerPage'>
  `The opensearch:itemsPerPage element in GData feed.`

start_index = <class 'gdata.data.StartIndex'>
  `The opensearch:startIndex element in GData feed.`

total_results = <class 'gdata.data.TotalResults'>
  `opensearch:TotalResults for a GData feed.`

Data and other attributes inherited from atom.data.Source:

generator = <class 'atom.data.Generator'>
  `The atom:generator element.`

icon = <class 'atom.data.Icon'>
  `The atom:icon element.`

logo = <class 'atom.data.Logo'>
  `The atom:logo element.`

subtitle = <class 'atom.data.Subtitle'>
  `The atom:subtitle element.`

Methods inherited from atom.data.FeedEntryParent:

__init__(self, atom_id=None, text=None, *args, **kwargs)

Data and other attributes inherited from atom.data.FeedEntryParent:

author = [<class 'atom.data.Author'>]

category = [<class 'atom.data.Category'>]

contributor = [<class 'atom.data.Contributor'>]

id = <class 'atom.data.Id'>
  `The atom:id element.`

link = [<class 'atom.data.Link'>]

rights = <class 'atom.data.Rights'>
  `The atom:rights element.`

title = <class 'atom.data.Title'>
  `The atom:title element.`

updated = <class 'atom.data.Updated'>
  `The atom:updated element.`

Methods inherited from atom.core.XmlElement:

FindChildren = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

FindExtensions = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

GetAttributes = get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

GetElements = get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

ToString = to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

__str__(self)

get_attributes(self, tag=None, namespace=None, version=1)
  `Find all attributes which match the tag and namespace.
  To find all attributes in this object, call get_attributes with the tag
  and namespace both set to None (the default). This method searches
  through the object's members and the attributes stored in
  _other_attributes which did not fit any of the XML parsing rules for this
  class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching attributes.
  Returns:
  A list of XmlAttribute objects for the matching attributes.`

get_elements(self, tag=None, namespace=None, version=1)
  `Find all sub elements which match the tag and namespace.
  To find all elements in this object, call get_elements with the tag and
  namespace both set to None (the default). This method searches through
  the object's members and the elements stored in _other_elements which
  did not match any of the XML parsing rules for this class.
  Args:
  tag: str
  namespace: str
  version: int Specifies the version of the XML rules to be used when
  searching for matching elements.
  Returns:
  A list of the matching XmlElements.`

to_string(self, version=1, encoding=None, pretty_print=None)
  `Converts this object to XML.`

Data descriptors inherited from atom.core.XmlElement:

__dict__
  `dictionary for instance variables (if defined)`

__weakref__
  `list of weak references to the object (if defined)`

attributes

children

extension_attributes

extension_elements

namespace

tag

Data and other attributes inherited from atom.core.XmlElement:

text = None

Methods inherited from gdata.data.LinkFinder:

FindAclLink = find_acl_link(self)

FindFeedLink = find_feed_link(self)

FindHtmlLink = find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

FindPostLink = find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

FindPreviousLink = find_previous_link(self)

GetAclLink = get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

GetFeedLink = get_feed_link(self)

GetHtmlLink = get_html_link(self)

GetPostLink = get_post_link(self)

GetPreviousLink = get_previous_link(self)

find_acl_link(self)

find_feed_link(self)

find_html_link(self)
  `Finds the first link with rel of alternate and type of text/html.`

find_post_link(self)
  `Get the URL to which new entries should be POSTed.
  The POST target URL is used to insert new entries.
  Returns:
  A str for the URL in the link with a rel matching the POST type.`

find_previous_link(self)

get_acl_link(self)
  `Searches for a link or feed_link (if present) with the rel for ACL.`

get_feed_link(self)

get_html_link(self)

get_post_link(self)

get_previous_link(self)

Methods inherited from atom.data.LinkFinder:

FindAlternateLink = find_alternate_link(self)

FindEditLink = find_edit_link(self)

FindEditMediaLink = find_edit_media_link(self)

FindLicenseLink = find_license_link(self)

FindNextLink = find_next_link(self)

FindSelfLink = find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

FindUrl = find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

GetAlternateLink = get_alternate_link(self)

GetEditLink = get_edit_link(self)

GetEditMediaLink = get_edit_media_link(self)

GetLicenseLink = get_license_link(self)

GetLink = get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

GetNextLink = get_next_link(self)

GetSelfLink = get_self_link(self)

find_alternate_link(self)

find_edit_link(self)

find_edit_media_link(self)

find_license_link(self)

find_next_link(self)

find_self_link(self)
  `Find the first link with rel set to 'self'
  Returns:
  A str containing the link's href or None if none of the links had rel
  equal to 'self'`

find_url(self, rel)
  `Returns the URL (as a string) in a link with the desired rel value.`

get_alternate_link(self)

get_edit_link(self)

get_edit_media_link(self)

get_license_link(self)

get_link(self, rel)
  `Returns a link object which has the desired rel value.
  If you are interested in the URL instead of the link object,
  consider using find_url instead.`

get_next_link(self)

get_self_link(self)

Data
`` |  | GF_TEMPLATE = '{http://schemas.google.com/finance/2007/}%s' __author__ = 'j.s@google.com (Jeff Scudder)'

Author
`` |  | j.s@google.com (Jeff Scudder)